/*
    This Yara ruleset is under the GNU-GPLv2 license (http://www.gnu.org/licenses/gpl-2.0.html) and open to any user or organization, as    long as you use it under this license.
*/

/*
	Androguard module used in this rule file is under development by people at https://koodous.com/. Unfortunately it isn't published yet. 
	We will update this rule file and our website once the module is published.

	Androguard module is based on androguard tool available @ https://github.com/androguard/androguard. 

	https://koodous.com/ is a very nice android malware analysis platform you can check out if you want to analyze your APK.
*/

import "androguard"

rule koodous : official
{
	meta:
		author = "Fernando Denis Ramirez https://twitter.com/fdrg21"
		reference = "https://koodous.com/"
		description = "This rule detects apks fom ASSD developer"
		sample = "cb9721c524f155478e9402d213e240b9f99eaba86fcbce0571cd7da4e258a79e"

	condition:
		androguard.certificate.sha1("ED9A1CE1F18A1097DCCC5C0CB005E3861DA9C34A")
		
}
